<!--/ Hak Cipta dilindungi Undang-undang. Hak Cipta : Khamdi Rahmani, Reg. Kemenkum HAM No : 000121327. Dilarang merubah isi File tanpa ijin tertulis dari pemegang Hak Cipta.-->

<!DOCTYPE html>
<html lang="en">

<head>

    <link rel="stylesheet" href="../../../../../asset/bootstrap/css/adminlte.min.css">
    <style>
        .font {
            font-family: arial;
            font-size: 11px;
        }

        .fontlamp {
            font-family: arial;
            font-size: 8px;
        }

        .fontJudullamp {
            font-size: 12px;
            font-family: arial;

        }

        .fontInput {
            font-size: 11px;
            font-family: arial;
        }

        .fontJudul {
            font-size: 12px;
            font-family: arial;
            color: dodgerblue;
            background: #000;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed layout-navbar-fixed layout-footer-fixed small">

    <div class="wrapper">
        <?php
        require('../../../../../asset/mod/autoLoad.php');
        // require('../../../../bootstrap/asset/phpqrcode/qrlib.php');

        $clssekolah = new sekolah;

        date_default_timezone_set('Asia/Jakarta');
        $tanggal = mktime(date("m"), date("d"), date("Y"));
        $tglsekarang = date("d-m-Y", $tanggal);
        $tahunnow = date("Y", $tanggal);

        if (isset($_GET['tahun'])) {
            $tahun = $_GET['tahun'];
        } else {
            $tahun = $tahunnow;
        };

        $tb_transaksi = "simakom_transaksi" . substr($tahun, 2, 2) . substr($tahun, 7, 2);

        if (isset($_GET['tanggal'])) {
            $tanggal = $_GET['tanggal'];
        } else {
            $tanggal = $tglsekarang;
        };
        if (isset($_GET['buku'])) {
            $buku = $_GET['buku'];
        } else {
            $buku = 1;
        };
        if (isset($_GET['bulan'])) {
            $bulan = $_GET['bulan'];
        } else {
            $bulan = 1;
        };

        $classBuku = new simakom_laporan();
        $buku_judul = strtoupper($classBuku->jenisBuku($buku));
        $periode = strtoupper($classBuku->Periode($bulan, $tahun));

        ?>


        <div class="container col-12 mb-4">
            <div class="row">
                <div class="col-12">
                    <div class="row">
                        <div class="card-body col-12 mx-4">
                            <h5 class="page-header">
                                <?php
                                $view = new lembaga;
                                echo $view->viewImage('../../../../../asset/dokumen/foto/', 'logo', 'mr-2 position-absolute', '60', '60');
                                echo "<b class='d-block ml-5 pl-3 pt-1'>" . $clssekolah->dataSekolah('sekolah') . "</b>";
                                echo "<i class='footer font ml-5 pl-3 mb-2 pb-3'>" . $clssekolah->dataSekolah('alamat') . "</i>"; ?>
                                <small class="float-right position-relative"><b class="text-danger"><?php echo $buku_judul; ?></b> </small><br>
                            </h5>
                        </div>
                        <div class="card-body col-12 mx-4">
                            <div class="row invoice-info">
                                <div class="col-sm-8 invoice-col">

                                    <b>PERIODE : <?php echo $periode; ?></b>


                                </div>

                            </div>
                        </div>
                        <div class="card-body mx-4">

                            <table class="table table-bordered table-sm">
                                <thead>
                                    <tr>
                                        <?php
                                        if ($buku == 4) {
                                            echo  "
                                                <th>No</th>
                                                <th>No. Bukti</th>
                                                <th>Tanggal</th>
                                                <th>Uraian</th>
                                                <th width='80'>PPh Ps 21</th>
                                                <th width='80'>PPh Ps 22</th>
                                                <th width='80'>PPh Ps 23</th>
                                                <th width='80'>PPh Ps 4</th>
                                                <th width='80'>PPN</th>
                                                <th width='80'>Kredit</th>
                                                <th width='80'>Saldo</th>";
                                        } else {
                                            echo "
                                                <th>No</th>
                                                <th align=center width='100'>No. Bukti</th>
                                                <th align=center width='100'>Tanggal</th>
                                                <th>Uraian</th>
                                                <th width='120'>Debet</th>
                                                <th width='120'>Kredit</th>
                                                <th width='120'>Saldo</th>";
                                        }
                                        ?>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $class = new simakom_laporan();
                                    $format = new format;
                                    //$tanggalkonv = $format->dateToEng($tanggal);
                                    if ($buku == 1) {
                                        $showList = $class->list_bku($tb_transaksi, $bulan, $tahun, $format->dateToEng($tanggal));
                                    } elseif ($buku == 2) {
                                        $showList = $class->list_bukuTunai($tb_transaksi, $bulan, $tahun);
                                    } elseif ($buku == 3) {
                                        $showList = $class->list_bukuBank($tb_transaksi, $bulan, $tahun);
                                    } elseif ($buku == 4) {
                                        $showList = $class->list_bukuPajak($tb_transaksi, $bulan, $tahun);
                                    } else {
                                        echo "";
                                    }

                                    ?>
                                </tbody>
                            </table>
                            <div class="row col-md-12 mt-3">
                                <?php
                                $class = new simakom_laporan();
                                $format = new format;
                                if ($buku == 1) {
                                    $class = $class->deskripsiBKU($tb_transaksi, $bulan, $tahun, $format->dateToEng($tanggal));
                                } else {
                                    echo "";
                                }; ?>
                            </div>
                            <div class="row col-md-12 mt-3">
                                <?php
                                $class = new simakom_laporan();
                                $class = $class->penandaTangan($format->dateToEng($tanggal), $tahun);
                                ?>
                            </div>
                        </div>

                    </div>
                </div>
            </div>

        </div>

        <script src="../../../../../asset/bootstrap/js/adminlte.min.js"></script>




</body>

</html>